<html>
<head>
<title>Ogre::Any::placeholder Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Any.html">Any</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Any::placeholder Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Any::placeholder" -->
<p><code>#include &lt;<a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::Any::placeholder:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1Any_1_1placeholder__inherit__graph.gif" border="0" usemap="#Ogre_1_1Any_1_1placeholder_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1Any_1_1placeholder_inherit__map" id="Ogre_1_1Any_1_1placeholder_inherit__map">
<area shape="rect" id="node3" href="classOgre_1_1Any_1_1holder.html" title="Ogre::Any::holder\&lt; ValueType \&gt;" alt="" coords="5,83,216,112"/><area shape="rect" id="node5" href="classOgre_1_1AnyNumeric_1_1numplaceholder.html" title="Ogre::AnyNumeric::numplaceholder" alt="" coords="240,83,469,112"/><area shape="rect" id="node7" href="classOgre_1_1AnyNumeric_1_1numholder.html" title="Ogre::AnyNumeric::numholder\&lt; ValueType \&gt;" alt="" coords="213,160,496,189"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1Any_1_1placeholder-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any_1_1placeholder.html#ad122e24bf73e447ee0a34066598a4866">~placeholder</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const std::type_info &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any_1_1placeholder.html#adbffede1819fffac5df00b2456d485ba">getType</a> () const =0</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any_1_1placeholder.html#ad445f6f56c8869809d9619707fbbe671">clone</a> () const =0</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any_1_1placeholder.html#ac8109f388caa8709eab98200fd6aab5b">writeToStream</a> (std::ostream &amp;o)=0</td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00130">130</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ad122e24bf73e447ee0a34066598a4866"></a><!-- doxytag: member="Ogre::Any::placeholder::~placeholder" ref="ad122e24bf73e447ee0a34066598a4866" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Any_1_1placeholder.html#ad122e24bf73e447ee0a34066598a4866">Ogre::Any::placeholder::~placeholder</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00134">134</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ad445f6f56c8869809d9619707fbbe671"></a><!-- doxytag: member="Ogre::Any::placeholder::clone" ref="ad445f6f56c8869809d9619707fbbe671" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a>* <a class="el" href="classOgre_1_1Any_1_1placeholder.html#ad445f6f56c8869809d9619707fbbe671">Ogre::Any::placeholder::clone</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implemented in <a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#a8f39c28d0d67fec960573196e5e462a7">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a>, and <a class="el" href="classOgre_1_1Any_1_1holder.html#a92b6d40054444e8fce5e47f091f63c50">Ogre::Any::holder&lt; ValueType &gt;</a>.</p>

<p>Referenced by <a class="el" href="OgreAny_8h_source.html#l00240">Ogre::AnyNumeric::AnyNumeric()</a>.</p>

</div>
</div>
<a class="anchor" id="adbffede1819fffac5df00b2456d485ba"></a><!-- doxytag: member="Ogre::Any::placeholder::getType" ref="adbffede1819fffac5df00b2456d485ba" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const std::type_info&amp; <a class="el" href="classOgre_1_1Any_1_1placeholder.html#adbffede1819fffac5df00b2456d485ba">Ogre::Any::placeholder::getType</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implemented in <a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#a30747552f8f12160cab496cf7b0d3e23">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a>, and <a class="el" href="classOgre_1_1Any_1_1holder.html#a56afb766401eb023cbefc760a7d9c984">Ogre::Any::holder&lt; ValueType &gt;</a>.</p>

<p>Referenced by <a class="el" href="OgreAny_8h_source.html#l00109">Ogre::Any::getType()</a>.</p>

</div>
</div>
<a class="anchor" id="ac8109f388caa8709eab98200fd6aab5b"></a><!-- doxytag: member="Ogre::Any::placeholder::writeToStream" ref="ac8109f388caa8709eab98200fd6aab5b" args="(std::ostream &amp;o)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Any_1_1placeholder.html#ac8109f388caa8709eab98200fd6aab5b">Ogre::Any::placeholder::writeToStream</a> </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>o</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implemented in <a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#a1cd19a31e8c9e9f73824e2db792bf629">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a>, and <a class="el" href="classOgre_1_1Any_1_1holder.html#a5877c5d406ad50d82277f0f85444f2e0">Ogre::Any::holder&lt; ValueType &gt;</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreAny_8h_source.html">OgreAny.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
